# IO_SpecularHighlights.cpp File Reference

`#include <osgFX/SpecularHighlights>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`

Include dependency graph for IO_SpecularHighlights.cpp:

## Functions

bool | SpecularHighlights_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | SpecularHighlights_writeLocalData (const osg::Object &obj, osgDB::Output &fw)

## Variables

osgDB::RegisterDotOsgWrapperProxy | SpecularHighlights_Proxy (new osgFX::SpecularHighlights,"osgFX::SpecularHighlights","Object Node Group osgFX::Effect osgFX::SpecularHighlights", SpecularHighlights_readLocalData, SpecularHighlights_writeLocalData)

## Function Documentation

bool SpecularHighlights_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool SpecularHighlights_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

## Variable Documentation

osgDB::RegisterDotOsgWrapperProxy SpecularHighlights_Proxy(new osgFX::SpecularHighlights,"osgFX::SpecularHighlights","Object Node Group osgFX::Effect osgFX::SpecularHighlights", SpecularHighlights_readLocalData, SpecularHighlights_writeLocalData)